﻿
@model SportsClub.Models.EmergencyContactViewModel

@{
    ViewBag.Title = "  Emergency contact";
    ViewBag.IsRegistrantReport = true;
}
@using (Html.BeginForm("EmergencyContact", "Registrant", FormMethod.Post, new { @id = "EmergencyContact", @name = "myForm" }))
{
    @Html.AntiForgeryToken()
    <div class="container">
        <div class="title-page">
            <h1>
                Emergency contact
            </h1>
        </div>

        <div class="wrapper">
            <div id="wrapper-title">
                <span>
                    @if (Model.PageMode == PageMode.Edit)
                    {
                        @Model.FullName
                    }
                </span>
            </div>
            <div class="wrapper-content">
                <div id="resultTarget">
                   @Html.Partial("_EmergencyContact", Model)
                </div>
            </div>
        </div>
    </div>
}


@section scripts {
@Scripts.Render("~/bundles/Scripts/Common/Utilities/Mask/js");
    <script>
        function EditDetailsPlayer() {
            var newUrl = '@Url.Action("GetFamiliesProfile", "Registrant")';
            var form = $("#EmergencyContact");
            var formData = form.serialize();
            $.ajax({
                type: 'Post',
                data: formData,
                url: "/Registrant/EmergencyContact",
                cache: false,
                success: function (data) {
                    if (data.Status) {
                        window.location.href = newUrl;
                        
                    }
                    else { $("#resultTarget").html(data); }
                },
                error: function (req) {
                    $("#resultTarget").html(data);
                }
            });

            return false;
        }




    </script>

}
